accrue.analysis.pointer

## Class ObjectField

- java.lang.Object
- - accrue.analysis.pointer.PointsToGraphNode
  - - accrue.analysis.pointer.ObjectField

-     public class ObjectField
      extends PointsToGraphNode

  Represents a field of an abstract object for pointer analysis.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `polyglot.types.FieldInstance` | `fi`
    `java.lang.String` | `fieldName`
    `HContext` | `o`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ObjectField` | `create(HContext o, polyglot.types.FieldInstance fi)`
    `static ObjectField` | `create(HContext o, java.lang.String fieldName, polyglot.types.Type expectedType)`
    `boolean` | `equals(java.lang.Object o)`
    `boolean` | `equalsSemantic(ObjectField that)`
    `polyglot.types.Type` | `expectedType()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### o

          public final HContext o

    - #### fi

          public final polyglot.types.FieldInstance fi

    - #### fieldName

          public final java.lang.String fieldName

  - ### Method Detail

    - #### create

          public static ObjectField create(HContext o,
                           polyglot.types.FieldInstance fi)

    - #### create

          public static ObjectField create(HContext o,
                           java.lang.String fieldName,
                           polyglot.types.Type expectedType)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equalsSemantic

          public boolean equalsSemantic(ObjectField that)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### expectedType

          public polyglot.types.Type expectedType()

      Specified by:
        `expectedType` in class `PointsToGraphNode`